-- ----------------------------------------------------------------------------
goalGrabWire.mSteps = 
{
	{ action = "click", object = objectHoWiresBattery, selection = objectHoHook },
}
-- ----------------------------------------------------------------------------
goalGrabWire.readyToStart = false
-- ----------------------------------------------------------------------------
function goalGrabWire:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalGrabWire:onClickHO(layout, object, props, x, y)

	if (object == objectHoHook) then
		self.readyToStart = true
	end

end
-- ----------------------------------------------------------------------------
function goalGrabWire:onUsedAll(object, props)

	-- the battery wires is actually an IO, not a HO!
	-- see: layoutCryptKeypad
	if (object == objectHoWiresBattery) then
		self:achieved()
	end

end
-- ----------------------------------------------------------------------------
function goalGrabWire:onFinished()

	objectExitCryptCemetery:ss(kLocked)
	
	objectBouncingSecretDoor:ss(kIdle)
	animLoop(objectBouncingSecretDoor, "bangingDoorLoop", 65, 100, 2000, 2500)
	
	objectDoorClosed:ss(kIdle)
	--layoutCryptSecretDoor:shakeDoor(false)
	
	layoutCrypt.shouldHearBanging = true
	-- layoutCrypt.bangingSoundTimer = layoutCrypt.timeBetweenBangingSounds

end

